
//=========================================================
// Project : [ RoboBuilder ]
// Software Version : ver1.5.1.1
// Update : 10/07/2008 10:03:47
// Format : ME_FMT#1
// Number of Motions : 10
// Number of Motors : 16
//=========================================================

#ifndef __HUNOBASIC_H__
#define __HUNOBASIC_H__

unsigned char PROGMEM LowTorque[] = {4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5};

unsigned char PROGMEM MotionZeroPos[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
//125,201,163,67,108,125,48,89,184,142,89,39,124,162,211,127};
125,171,193,77,108,125,78,59,174,142,89,39,124,162,211,127};

//=========================================================
// Motion Name : HunoBasic_PunchLeft
//=========================================================

#define HUNOBASIC_PUNCHLEFT_NUM_ACTION 5
#define HUNOBASIC_PUNCHLEFT_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_PunchLeft_Torque[5][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:0 - Data_0
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:1 - Scene_1
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:2 - Scene_2
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:3 - Scene_4
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:4 - Data_0
};
unsigned char PROGMEM HunoBasic_PunchLeft_Port[5][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,0 ,0 ,0 },        // Idx:0 - Data_0
{1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,0 ,0 ,0 },        // Idx:1 - Scene_1
{3 ,3 ,3 ,3 ,3 ,0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,0 ,0 ,0 },        // Idx:2 - Scene_2
{3 ,3 ,3 ,3 ,3 ,0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,0 ,0 ,0 },        // Idx:3 - Scene_4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:4 - Data_0
};
unsigned char PROGMEM HunoBasic_PunchLeft_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
40,40,40,40,40,40,40,40,40,40,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_PunchLeft_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
60,60,60,60,60,60,60,60,60,60,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_PunchLeft_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_PunchLeft_Frames[5]={
1   ,8   ,1   ,5   ,15  
};
unsigned int PROGMEM HunoBasic_PunchLeft_TrTime[5]={
70  ,310 ,420 ,200 ,300 
};
unsigned char PROGMEM HunoBasic_PunchLeft_Position[6][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - Data_0
{107,164,233,106,95,108,80,29,155,129,56,62,40,166,206,208},        // Idx:1 - Scene_1
{107,164,233,106,95,145,74,40,163,154,117,124,114,166,206,208},        // Idx:2 - Scene_2
{126,164,222,100,107,125,80,29,155,142,79,44,40,166,206,208},        // Idx:3 - Scene_4
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:4 - Data_0
};
                                                          
//=========================================================
// Motion Name : HunoBasic_PunchRight
//=========================================================

#define HUNOBASIC_PUNCHRIGHT_NUM_ACTION 5
#define HUNOBASIC_PUNCHRIGHT_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_PunchRight_Torque[5][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:0 - Data_0
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:1 - Scene_1
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:2 - Scene_2
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:3 - Scene_4
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:4 - Data_0
};
unsigned char PROGMEM HunoBasic_PunchRight_Port[5][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,1 ,1 ,1 },        // Idx:0 - Data_0
{0 ,0 ,0 ,0 ,0 ,2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,2 ,2 ,2 },        // Idx:1 - Scene_1
{0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,3 ,2 ,0 ,0 ,0 ,3 ,3 ,3 },        // Idx:2 - Scene_2
{0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,3 ,3 ,0 ,0 ,0 ,3 ,3 ,3 },        // Idx:3 - Scene_4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:4 - Data_0
};
unsigned char PROGMEM HunoBasic_PunchRight_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
40,40,40,40,40,40,40,40,40,40,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_PunchRight_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
60,60,60,60,60,60,60,60,60,60,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_PunchRight_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_PunchRight_Frames[5]={
1   ,8   ,1   ,5   ,15  
};
unsigned int PROGMEM HunoBasic_PunchRight_TrTime[5]={
140  ,620 ,840 ,400 ,600 
};

unsigned char PROGMEM HunoBasic_PunchRight_Position[6][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - Data_0
{139,163,230,100,120,142,87,14,150,159,79,44,40,183,188,208},        // Idx:1 - Scene_1
{108,164,224,97,106,151,80,28,153,167,79,44,40,145,112,131},        // Idx:2 - Scene_2
{126,164,222,100,107,125,80,29,155,142,79,44,40,166,206,208},        // Idx:3 - Scene_4
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:4 - Data_0
};
    


//=========================================================
// Motion Name : HunoBasic_StepLeft
//=========================================================

#define HUNOBASIC_STEPLEFT_NUM_ACTION 6
#define HUNOBASIC_STEPLEFT_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_StepLeft_Torque[6][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:0 - Data_0
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:1 - Data
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:2 - Scene_1
{2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:3 - Scene_2
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,4 ,4 ,4 ,4 ,4 ,3 },        // Idx:4 - Data
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:5 - Data
};
unsigned char PROGMEM HunoBasic_StepLeft_Port[6][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:0 - Data_0
{1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,0 ,0 ,0 },        // Idx:1 - Data
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:2 - Scene_1
{1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,0 ,0 ,0 },        // Idx:3 - Scene_2
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:4 - Data
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:5 - Data
};
unsigned char PROGMEM HunoBasic_StepLeft_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
40,40,40,40,40,40,40,40,40,40,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_StepLeft_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
60,60,60,60,60,60,60,60,60,60,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_StepLeft_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_StepLeft_Frames[6]={
1   ,5   ,8   ,3   ,1   ,15  
};
unsigned int PROGMEM HunoBasic_StepLeft_TrTime[6]={
70  ,150 ,310 ,250 ,120 ,300 
};
unsigned char PROGMEM HunoBasic_StepLeft_Position[7][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - Data_0
{126,167,222,98,110,125,84,29,155,142,79,44,40,166,206,208},        // Idx:1 - Data
{107,164,233,102,95,108,80,29,155,129,56,62,40,166,206,208},        // Idx:2 - Scene_1
{107,164,233,105,95,145,74,40,157,154,56,62,40,166,206,208},        // Idx:3 - Scene_2
{126,164,222,95,107,125,84,29,155,142,79,44,40,166,206,208},        // Idx:4 - Data
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:5 - Data
};
                                                          

//=========================================================
// Motion Name : HunoBasic_StepRight
//=========================================================

#define HUNOBASIC_STEPRIGHT_NUM_ACTION 6
#define HUNOBASIC_STEPRIGHT_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_StepRight_Torque[6][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:0 - Data_0
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:1 - Data
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:2 - Scene_1
{0 ,0 ,0 ,0 ,0 ,2 ,2 ,2 ,2 ,2 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:3 - Scene_2
{0 ,0 ,0 ,0 ,0 ,2 ,2 ,2 ,2 ,2 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:4 - Data
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:5 - Scene_4
};
unsigned char PROGMEM HunoBasic_StepRight_Port[6][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:0 - Data_0
{0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,1 ,1 ,1 },        // Idx:1 - Data
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:2 - Scene_1
{0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,1 ,1 ,1 },        // Idx:3 - Scene_2
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:4 - Data
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:5 - Scene_4
};
unsigned char PROGMEM HunoBasic_StepRight_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
40,40,40,40,40,40,40,40,40,40,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_StepRight_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
60,60,60,60,60,60,60,60,60,60,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_StepRight_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_StepRight_Frames[6]={
1   ,5   ,8   ,3   ,1   ,15  
};
unsigned int PROGMEM HunoBasic_StepRight_TrTime[6]={
70  ,150 ,310 ,200 ,120 ,300 
};
unsigned char PROGMEM HunoBasic_StepRight_Position[7][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - Data_0
{126,167,222,98,110,125,84,29,155,142,79,44,40,166,206,208},        // Idx:1 - Data
{139,163,230,100,120,142,87,14,150,159,79,44,40,183,188,208},        // Idx:2 - Scene_1
{108,164,224,97,106,151,80,28,153,167,79,44,40,183,188,208},        // Idx:3 - Scene_2
{126,166,222,98,113,125,84,29,155,142,79,44,40,166,206,208},        // Idx:4 - Data
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:5 - Scene_4
};

//=========================================================
// Motion Name : HunoBasic_WalkForward
//=========================================================

#define HUNOBASIC_WALKFORWARD_NUM_ACTION 40
#define HUNOBASIC_WALKFORWARD_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_WalkForward_Torque[40][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:0 - 0
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:1 - 0
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:2 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:3 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:4 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:5 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:6 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:7 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:8 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:9 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:10 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:11 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:12 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:13 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:14 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:15 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:16 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:17 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:18 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:19 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:20 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:21 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:22 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:23 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:24 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:25 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:26 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:27 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:28 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:29 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:30 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:31 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:32 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:33 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:34 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:35 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:36 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:37 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:38 - 3
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:39 - Data
};
unsigned char PROGMEM HunoBasic_WalkForward_Port[40][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:0 - 0
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:1 - 0
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:2 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:3 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:4 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:5 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:6 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:7 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:8 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:9 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:10 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:11 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:12 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:13 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:14 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:15 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:16 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:17 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:18 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:19 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:20 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:21 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:22 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:23 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:24 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:25 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:26 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:27 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:28 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:29 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:30 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:31 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:32 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:33 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:34 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:35 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:36 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:37 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:38 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:39 - Data
};
unsigned char PROGMEM HunoBasic_WalkForward_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
41,41,41,41,41,41,41,41,41,41,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_WalkForward_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
61,61,61,61,61,61,61,61,61,61,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_WalkForward_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_WalkForward_Frames[40]={
5   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,
1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,
1   ,1   ,1   ,1   ,1   ,1   ,1   ,10  ,15  
};
unsigned int PROGMEM HunoBasic_WalkForward_TrTime[40]={
25 ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,
25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,
25  ,25  ,25  ,25  ,25  ,25  ,25  ,25 ,25 
};
unsigned char PROGMEM HunoBasic_WalkForward_Position[41][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - 0
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:1 - 0
{130,165,201,81,115,134,81,31,147,149,72,44,40,145,209,201},        // Idx:2 - 1
{132,171,197,83,117,137,86,28,148,152,78,43,41,154,209,206},        // Idx:3 - 2
{132,175,195,87,117,139,91,27,152,154,87,43,43,164,209,211},        // Idx:4 - 3
{132,178,197,91,117,137,95,28,157,152,97,43,48,172,209,213},        // Idx:5 - 4
{130,179,201,95,115,134,96,31,161,149,105,43,53,179,210,214},        // Idx:6 - 5
{127,178,206,98,112,130,95,35,166,145,111,42,57,182,210,214},        // Idx:7 - 6
{124,175,212,100,109,127,92,40,170,142,113,42,59,183,210,214},        // Idx:8 - 7
{124,175,212,100,109,127,92,40,170,142,113,42,59,183,210,214},        // Idx:9 - 8
{120,172,217,102,105,123,88,46,170,138,111,42,57,182,210,214},        // Idx:10 - 9
{116,167,221,103,101,120,83,51,169,135,106,43,53,179,210,214},        // Idx:11 - 10
{113,162,224,102,98,118,77,55,167,133,97,43,48,173,209,213},        // Idx:12 - 11
{111,157,225,98,96,118,73,57,163,133,87,43,43,164,209,211},        // Idx:13 - 12
{113,153,224,93,98,118,70,55,159,133,79,43,41,154,209,206},        // Idx:14 - 13
{116,152,221,89,101,120,69,51,155,135,72,44,40,146,209,201},        // Idx:15 - 14
{120,153,217,84,105,123,70,46,152,138,69,44,40,140,208,197},        // Idx:16 - 15
{123,156,212,80,108,126,73,40,150,141,68,44,40,138,208,195},        // Idx:17 - 16
{123,156,212,80,108,126,73,40,150,141,68,44,40,138,208,195},        // Idx:18 - 17
{130,165,201,81,115,134,81,31,147,149,72,44,40,145,209,201},        // Idx:19 - 1
{132,171,197,83,117,137,86,28,148,152,78,43,41,154,209,206},        // Idx:20 - 2
{132,175,195,87,117,139,91,27,152,154,87,43,43,164,209,211},        // Idx:21 - 3
{132,178,197,91,117,137,95,28,157,152,97,43,48,172,209,213},        // Idx:22 - 4
{130,179,201,95,115,134,96,31,161,149,105,43,53,179,210,214},        // Idx:23 - 5
{127,178,206,98,112,130,95,35,166,145,111,42,57,182,210,214},        // Idx:24 - 6
{124,175,212,100,109,127,92,40,170,142,113,42,59,183,210,214},        // Idx:25 - 7
{124,175,212,100,109,127,92,40,170,142,113,42,59,183,210,214},        // Idx:26 - 8
{120,172,217,102,105,123,88,46,170,138,111,42,57,182,210,214},        // Idx:27 - 9
{116,167,221,103,101,120,83,51,169,135,106,43,53,179,210,214},        // Idx:28 - 10
{113,162,224,102,98,118,77,55,167,133,97,43,48,173,209,213},        // Idx:29 - 11
{111,157,225,98,96,118,73,57,163,133,87,43,43,164,209,211},        // Idx:30 - 12
{113,153,224,93,98,118,70,55,159,133,79,43,41,154,209,206},        // Idx:31 - 13
{116,152,221,89,101,120,69,51,155,135,72,44,40,146,209,201},        // Idx:32 - 14
{120,153,217,84,105,123,70,46,152,138,69,44,40,140,208,197},        // Idx:33 - 15
{123,156,212,80,108,126,73,40,150,141,68,44,40,138,208,195},        // Idx:34 - 16
{123,156,212,80,108,126,73,40,150,141,68,44,40,138,208,195},        // Idx:35 - 17
{130,165,201,81,115,134,81,31,147,149,72,44,40,145,209,201},        // Idx:36 - 1
{132,171,197,83,117,137,86,28,148,152,78,43,41,154,209,206},        // Idx:37 - 2
{125,166,229,106,108,126,86,23,150,141,51,47,49,199,205,205},        // Idx:38 - 3
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:39 - Data
};


//=========================================================
// Motion Name : HunoBasic_WalkForward
//=========================================================

#define HUNOBASIC_STEPFORWARD_NUM_ACTION 18
#define HUNOBASIC_STEPFORWARD_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_StepForward_Torque[40][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:0 - 0
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:1 - 0
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:2 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:3 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:4 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:5 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:6 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:7 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:8 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:9 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:10 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:11 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:12 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:13 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:14 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:15 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:16 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:17 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:18 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:19 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:20 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:21 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:22 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:23 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:24 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:25 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:26 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:27 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:28 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:29 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:30 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:31 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:32 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:33 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:34 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:35 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:36 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:37 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:38 - 3
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:39 - Data
};
unsigned char PROGMEM HunoBasic_StepForward_Port[40][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:0 - 0
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:1 - 0
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:2 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:3 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:4 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:5 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:6 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:7 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:8 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:9 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:10 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:11 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:12 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:13 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:14 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:15 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:16 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:17 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:18 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:19 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:20 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:21 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:22 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:23 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:24 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:25 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:26 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:27 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:28 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:29 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:30 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:31 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:32 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:33 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:34 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:35 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:36 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:37 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:38 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:39 - Data
};
unsigned char PROGMEM HunoBasic_StepForward_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
41,41,41,41,41,41,41,41,41,41,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_StepForward_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
61,61,61,61,61,61,61,61,61,61,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_StepForward_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_StepForward_Frames[40]={
5   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,
1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,
1   ,1   ,1   ,1   ,1   ,1   ,1   ,10  ,15  
};
unsigned int PROGMEM HunoBasic_StepForward_TrTime[40]={
25 ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,
25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,
25  ,25  ,25  ,25  ,25  ,25  ,25  ,25 ,25 
};
unsigned char PROGMEM HunoBasic_StepForward_Position[41][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - 0
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:1 - 0
{130,165,201,81,115,134,81,31,147,149,72,44,40,145,209,201},        // Idx:2 - 1
{132,171,197,83,117,137,86,28,148,152,78,43,41,154,209,206},        // Idx:3 - 2
{132,175,195,87,117,139,91,27,152,154,87,43,43,164,209,211},        // Idx:4 - 3
{132,178,197,91,117,137,95,28,157,152,97,43,48,172,209,213},        // Idx:5 - 4
{130,179,201,95,115,134,96,31,161,149,105,43,53,179,210,214},        // Idx:6 - 5
{127,178,206,98,112,130,95,35,166,145,111,42,57,182,210,214},        // Idx:7 - 6
{124,175,212,100,109,127,92,40,170,142,113,42,59,183,210,214},        // Idx:8 - 7
{124,175,212,100,109,127,92,40,170,142,113,42,59,183,210,214},        // Idx:9 - 8
{120,172,217,102,105,123,88,46,170,138,111,42,57,182,210,214},        // Idx:10 - 9
{116,167,221,103,101,120,83,51,169,135,106,43,53,179,210,214},        // Idx:11 - 10
{113,162,224,102,98,118,77,55,167,133,97,43,48,173,209,213},        // Idx:12 - 11
{111,157,225,98,96,118,73,57,163,133,87,43,43,164,209,211},        // Idx:13 - 12
{113,153,224,93,98,118,70,55,159,133,79,43,41,154,209,206},        // Idx:14 - 13
{116,152,221,89,101,120,69,51,155,135,72,44,40,146,209,201},        // Idx:15 - 14
{120,153,217,84,105,123,70,46,152,138,69,44,40,140,208,197},        // Idx:16 - 15
{123,156,212,80,108,126,73,40,150,141,68,44,40,138,208,195},        // Idx:17 - 16
{123,156,212,80,108,126,73,40,150,141,68,44,40,138,208,195},        // Idx:18 - 17
{130,165,201,81,115,134,81,31,147,149,72,44,40,145,209,201},        // Idx:19 - 1
{132,171,197,83,117,137,86,28,148,152,78,43,41,154,209,206},        // Idx:20 - 2
{132,175,195,87,117,139,91,27,152,154,87,43,43,164,209,211},        // Idx:21 - 3
{132,178,197,91,117,137,95,28,157,152,97,43,48,172,209,213},        // Idx:22 - 4
{130,179,201,95,115,134,96,31,161,149,105,43,53,179,210,214},        // Idx:23 - 5
{127,178,206,98,112,130,95,35,166,145,111,42,57,182,210,214},        // Idx:24 - 6
{124,175,212,100,109,127,92,40,170,142,113,42,59,183,210,214},        // Idx:25 - 7
{124,175,212,100,109,127,92,40,170,142,113,42,59,183,210,214},        // Idx:26 - 8
{120,172,217,102,105,123,88,46,170,138,111,42,57,182,210,214},        // Idx:27 - 9
{116,167,221,103,101,120,83,51,169,135,106,43,53,179,210,214},        // Idx:28 - 10
{113,162,224,102,98,118,77,55,167,133,97,43,48,173,209,213},        // Idx:29 - 11
{111,157,225,98,96,118,73,57,163,133,87,43,43,164,209,211},        // Idx:30 - 12
{113,153,224,93,98,118,70,55,159,133,79,43,41,154,209,206},        // Idx:31 - 13
{116,152,221,89,101,120,69,51,155,135,72,44,40,146,209,201},        // Idx:32 - 14
{120,153,217,84,105,123,70,46,152,138,69,44,40,140,208,197},        // Idx:33 - 15
{123,156,212,80,108,126,73,40,150,141,68,44,40,138,208,195},        // Idx:34 - 16
{123,156,212,80,108,126,73,40,150,141,68,44,40,138,208,195},        // Idx:35 - 17
{130,165,201,81,115,134,81,31,147,149,72,44,40,145,209,201},        // Idx:36 - 1
{132,171,197,83,117,137,86,28,148,152,78,43,41,154,209,206},        // Idx:37 - 2
{125,166,229,106,108,126,86,23,150,141,51,47,49,199,205,205},        // Idx:38 - 3
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:39 - Data
};
     

//=========================================================
// Motion Name : HunoBasic_StepBackward
//=========================================================
//42
#define HUNOBASIC_STEPBACKWARD_NUM_ACTION 20
#define HUNOBASIC_STEPBACKWARD_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_StepBackward_Torque[42][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:0 - Data
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:1 - Data
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:2 - Data
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:3 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:4 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:5 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:6 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:7 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:8 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:9 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:10 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:11 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:12 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:13 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:14 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:15 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:16 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:17 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:18 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:19 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:20 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:21 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:22 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:23 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:24 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:25 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:26 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:27 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:28 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:29 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:30 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:31 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:32 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:33 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:34 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:35 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:36 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:37 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:38 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:39 - 3
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:40 - Scene_40
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:41 - Scene_41
};
unsigned char PROGMEM HunoBasic_StepBackward_Port[42][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:0 - Data
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:1 - Data
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:2 - Data
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:3 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:4 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:5 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:6 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:7 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:8 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:9 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:10 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:11 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:12 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:13 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:14 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:15 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:16 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:17 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:18 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:19 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:20 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:21 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:22 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:23 - 4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:24 - 5
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:25 - 6
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:26 - 7
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:27 - 8
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:28 - 9
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:29 - 10
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:30 - 11
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:31 - 12
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:32 - 13
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:33 - 14
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:34 - 15
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:35 - 16
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:36 - 17
{3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,3 },        // Idx:37 - 1
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:38 - 2
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:39 - 3
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:40 - Scene_40
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:41 - Scene_41
};
unsigned char PROGMEM HunoBasic_StepBackward_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
41,41,41,41,41,41,41,41,41,41,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_StepBackward_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
61,61,61,61,61,61,61,61,61,61,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_StepBackward_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_StepBackward_Frames[42]={
5   ,20  ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,
1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,
1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,1   ,10  ,20  
};
unsigned int PROGMEM HunoBasic_StepBackward_TrTime[42]={
150 ,200 ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,
25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,
25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,25  ,400 ,400 
};
unsigned char PROGMEM HunoBasic_StepBackward_Position[43][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - Data
{125,160,220,107,108,126,88,31,146,141,51,47,49,199,205,205},        // Idx:1 - Data
{120,153,218,88,105,123,72,46,151,138,57,43,51,174,210,214},        // Idx:2 - Data
{116,151,223,91,101,120,70,52,155,135,58,43,48,177,210,214},        // Idx:3 - 1
{112,152,226,94,97,119,70,57,160,134,59,43,45,182,210,214},        // Idx:4 - 2
{111,155,227,99,96,118,72,60,165,133,63,43,41,188,209,213},        // Idx:5 - 3
{112,160,226,102,97,118,76,58,167,133,68,44,40,191,209,209},        // Idx:6 - 4
{115,165,223,104,100,120,82,52,168,135,73,44,40,193,209,206},        // Idx:7 - 5
{120,169,218,104,105,123,88,46,167,138,77,44,40,194,209,203},        // Idx:8 - 6
{123,173,212,103,108,126,92,40,165,141,78,43,40,194,209,202},        // Idx:9 - 7
{123,173,212,103,108,126,92,40,165,141,78,43,40,194,209,202},        // Idx:10 - 8
{127,176,206,99,112,130,95,34,162,145,77,44,40,194,209,203},        // Idx:11 - 9
{130,178,200,95,115,134,97,29,159,149,74,44,40,193,209,206},        // Idx:12 - 10
{131,178,195,90,116,138,96,26,156,153,69,44,40,192,209,209},        // Idx:13 - 11
{132,176,192,85,117,139,93,25,151,154,63,43,41,188,209,213},        // Idx:14 - 12
{132,172,194,83,117,138,88,26,148,153,60,43,45,183,210,214},        // Idx:15 - 13
{130,166,200,82,115,135,83,29,146,150,58,43,48,178,210,214},        // Idx:16 - 14
{127,160,206,83,112,130,79,34,146,145,57,43,51,174,210,214},        // Idx:17 - 15
{124,156,212,85,109,127,75,40,147,142,57,43,52,173,209,214},        // Idx:18 - 16
{124,156,212,85,109,127,75,40,147,142,57,43,52,173,209,214},        // Idx:19 - 17
{116,151,223,91,101,120,70,52,155,135,58,43,48,177,210,214},        // Idx:20 - 1
{112,152,226,94,97,119,70,57,160,134,59,43,45,182,210,214},        // Idx:21 - 2
{111,155,227,99,96,118,72,60,165,133,63,43,41,188,209,213},        // Idx:22 - 3
{112,160,226,102,97,118,76,58,167,133,68,44,40,191,209,209},        // Idx:23 - 4
{115,165,223,104,100,120,82,52,168,135,73,44,40,193,209,206},        // Idx:24 - 5
{120,169,218,104,105,123,88,46,167,138,77,44,40,194,209,203},        // Idx:25 - 6
{123,173,212,103,108,126,92,40,165,141,78,43,40,194,209,202},        // Idx:26 - 7
{123,173,212,103,108,126,92,40,165,141,78,43,40,194,209,202},        // Idx:27 - 8
{127,176,206,99,112,130,95,34,162,145,77,44,40,194,209,203},        // Idx:28 - 9
{130,178,200,95,115,134,97,29,159,149,74,44,40,193,209,206},        // Idx:29 - 10
{131,178,195,90,116,138,96,26,156,153,69,44,40,192,209,209},        // Idx:30 - 11
{132,176,192,85,117,139,93,25,151,154,63,43,41,188,209,213},        // Idx:31 - 12
{132,172,194,83,117,138,88,26,148,153,60,43,45,183,210,214},        // Idx:32 - 13
{130,166,200,82,115,135,83,29,146,150,58,43,48,178,210,214},        // Idx:33 - 14
{127,160,206,83,112,130,79,34,146,145,57,43,51,174,210,214},        // Idx:34 - 15
{124,156,212,85,109,127,75,40,147,142,57,43,52,173,209,214},        // Idx:35 - 16
{124,156,212,85,109,127,75,40,147,142,57,43,52,173,209,214},        // Idx:36 - 17
{116,151,223,91,101,120,70,52,155,135,58,43,48,177,210,214},        // Idx:37 - 1
{112,152,226,94,97,119,70,57,160,134,59,43,45,182,210,214},        // Idx:38 - 2
{111,155,227,99,96,118,72,60,165,133,63,43,41,188,209,213},        // Idx:39 - 3
{111,155,227,98,96,118,89,25,155,133,63,43,41,188,209,213},        // Idx:40 - Scene_40
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:41 - Scene_41
};

#endif
              
