
//=========================================================
// Project : [ RoboBuilder ]
// Software Version : ver1.5.1.1
// Update : 10/07/2008 10:03:47
// Format : ME_FMT#1
// Number of Motions : 10
// Number of Motors : 16
//=========================================================

#ifndef __HUNOBASIC_H__
#define __HUNOBASIC_H__

unsigned char PROGMEM LowTorque[] = {4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 4, 4, 5};
//unsigned char PROGMEM LowTorque[] = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5};

unsigned char PROGMEM MotionZeroPos[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
//125,201,163,67,108,125,48,89,184,142,89,39,124,162,211,127};
125,171,193,77,108,125,78,59,174,142,89,39,124,162,211,127};


//=========================================================
// Motion Name : HunoBasic_PunchLeft
//=========================================================

#define HUNOBASIC_PUNCHLEFT_NUM_ACTION 5
#define HUNOBASIC_PUNCHLEFT_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_PunchLeft_Torque[5][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:0 - Data_0
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:1 - Scene_1
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:2 - Scene_2
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:3 - Scene_4
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:4 - Data_0
};
unsigned char PROGMEM HunoBasic_PunchLeft_Port[5][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,0 ,0 ,0 },        // Idx:0 - Data_0
{1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,0 ,0 ,0 },        // Idx:1 - Scene_1
{3 ,3 ,3 ,3 ,3 ,0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,0 ,0 ,0 },        // Idx:2 - Scene_2
{3 ,3 ,3 ,3 ,3 ,0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,0 ,0 ,0 },        // Idx:3 - Scene_4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:4 - Data_0
};
unsigned char PROGMEM HunoBasic_PunchLeft_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
40,40,40,40,40,40,40,40,40,40,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_PunchLeft_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
60,60,60,60,60,60,60,60,60,60,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_PunchLeft_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_PunchLeft_Frames[5]={
1   ,8   ,1   ,5   ,15  
};
unsigned int PROGMEM HunoBasic_PunchLeft_TrTime[5]={
70  ,310 ,420 ,200 ,300 
};
unsigned char PROGMEM HunoBasic_PunchLeft_Position[6][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - Data_0
{107,164,233,106,95,108,80,29,155,129,56,62,40,166,206,208},        // Idx:1 - Scene_1
{107,164,233,106,95,145,74,40,163,154,117,124,114,166,206,208},        // Idx:2 - Scene_2
{126,164,222,100,107,125,80,29,155,142,79,44,40,166,206,208},        // Idx:3 - Scene_4
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:4 - Data_0
};
              
                                                          
//=========================================================
// Motion Name : HunoBasic_PunchRight
//=========================================================

#define HUNOBASIC_PUNCHRIGHT_NUM_ACTION 5
#define HUNOBASIC_PUNCHRIGHT_NUM_MOTORS 16
unsigned char PROGMEM HunoBasic_PunchRight_Torque[5][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 },        // Idx:0 - Data_0
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,0 ,0 ,0 },        // Idx:1 - Scene_1
{1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },        // Idx:2 - Scene_2
{2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,2 },        // Idx:3 - Scene_4
{4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 ,4 }         // Idx:4 - Data_0
};
unsigned char PROGMEM HunoBasic_PunchRight_Port[5][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{0 ,0 ,0 ,0 ,0 ,1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,1 ,1 ,1 },        // Idx:0 - Data_0
{0 ,0 ,0 ,0 ,0 ,2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,2 ,2 ,2 },        // Idx:1 - Scene_1
{0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,3 ,2 ,0 ,0 ,0 ,3 ,3 ,3 },        // Idx:2 - Scene_2
{0 ,0 ,0 ,0 ,0 ,3 ,3 ,3 ,3 ,3 ,0 ,0 ,0 ,3 ,3 ,3 },        // Idx:3 - Scene_4
{0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 }         // Idx:4 - Data_0
};
unsigned char PROGMEM HunoBasic_PunchRight_PGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
40,40,40,40,40,40,40,40,40,40,20,20,20,20,20,20};
unsigned char PROGMEM HunoBasic_PunchRight_DGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
60,60,60,60,60,60,60,60,60,60,30,30,30,30,30,30};
unsigned char PROGMEM HunoBasic_PunchRight_IGain[16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 };
unsigned int PROGMEM HunoBasic_PunchRight_Frames[5]={
1   ,8   ,1   ,5   ,15  
};
unsigned int PROGMEM HunoBasic_PunchRight_TrTime[5]={
140  ,620 ,840 ,400 ,600 
};

unsigned char PROGMEM HunoBasic_PunchRight_Position[6][16]={
/* ID
 0 ,1 ,2 ,3 ,4 ,5 ,6 ,7 ,8 ,9 ,10,11,12,13,14,15 */
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205},        // Idx:0 - Data_0
{139,163,230,100,120,142,87,14,150,159,79,44,40,183,188,208},        // Idx:1 - Scene_1
{108,164,224,97,106,151,80,28,153,167,79,44,40,145,112,131},        // Idx:2 - Scene_2
{126,164,222,100,107,125,80,29,155,142,79,44,40,166,206,208},        // Idx:3 - Scene_4
{125,179,199,88,108,126,72,49,163,141,51,47,49,199,205,205}         // Idx:4 - Data_0
};

//----------------------------------------------------------
// Motion Name : LSHOOT
//----------------------------------------------------------
#define LSHOOT_NUM_OF_SCENES 6
#define LSHOOT_NUM_OF_WCKS 16
unsigned char PROGMEM LSHOOT_RuntimePGain[16]={
	/* ID
	  0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20
};
unsigned char PROGMEM LSHOOT_RuntimeDGain[16]={
	/* ID
	  0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30
};
unsigned char PROGMEM LSHOOT_RuntimeIGain[16]={
	/* ID
	  0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0
};
unsigned int PROGMEM LSHOOT_Frames[6]={
	    1,    1,    1,    1,    1,    1
};
unsigned int PROGMEM LSHOOT_TrTime[6]={
	   20,   20,  320,   20,  320,   20
};
unsigned char PROGMEM LSHOOT_Position[7][16]={
	/* ID
	    0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	{ 125,179,199, 88,108,126, 72, 49,163,141, 51, 47, 49,199,205,205 },
	{ 125,179,199, 88,108,126, 72, 49,163,141, 51, 47, 49,199,205,205 },	// Idx:0 - Scene_0
	{ 115,179,199, 88, 95,116, 72, 49,163,128, 51, 47, 49,199,205,205 },	// Idx:1 - Scene_1
	{  99,219,206,130, 84,114, 67, 57,161,123, 34, 85,110,118,195,201 },	// Idx:2 - Scene_2
	{ 101,129,203, 43, 85,120, 36, 81,180,126,130, 49, 76,207,199,228 },	// Idx:3 - Scene_3
	{ 101,129,203, 42, 85,120, 36, 81,180,123,130, 49, 76,207,199,228 },	// Idx:4 - Scene_3
	{ 125,179,199, 88,108,126, 72, 49,163,141, 51, 47, 49,199,205,205 } 	// Idx:5 - Scene_0
};
unsigned char PROGMEM LSHOOT_Torque[6][16]={
	/* ID
	    0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	{   2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2 },	// Idx:0 - Scene_0
	{   2,  2,  2,  2,  2,  0,  2,  2,  2,  0,  2,  2,  2,  2,  2,  2 },	// Idx:1 - Scene_1
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:2 - Scene_2
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:3 - Scene_3
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:4 - Scene_3
	{   2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2 } 	// Idx:5 - Scene_0
};
unsigned char PROGMEM LSHOOT_Port[6][16]={
	/* ID
	    0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:0 - Scene_0
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:1 - Scene_1
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:2 - Scene_2
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:3 - Scene_3
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:4 - Scene_3
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 } 	// Idx:5 - Scene_0
};

//----------------------------------------------------------
// Motion Name : RSHOOT
//----------------------------------------------------------
#define RSHOOT_NUM_OF_SCENES 6
#define RSHOOT_NUM_OF_WCKS 16
unsigned char PROGMEM RSHOOT_RuntimePGain[16]={
	/* ID
	  0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20
};
unsigned char PROGMEM RSHOOT_RuntimeDGain[16]={
	/* ID
	  0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30
};
unsigned char PROGMEM RSHOOT_RuntimeIGain[16]={
	/* ID
	  0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0
};
unsigned int PROGMEM RSHOOT_Frames[6]={
	    1,    1,    1,    1,    1,   10
};
unsigned int PROGMEM RSHOOT_TrTime[6]={
	   20,   20,  320,   20,  420,  220
};
unsigned char PROGMEM RSHOOT_Position[7][16]={
	/* ID
	    0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	{ 125,179,199, 88,108,126, 72, 49,163,141, 51, 47, 49,199,205,205 },
	{ 125,179,199, 88,108,126, 72, 49,163,141, 51, 47, 49,199,205,205 },	// Idx:0 - Scene_0
	{ 135,179,199, 88,121,136, 72, 49,163,154, 51, 47, 49,199,205,205 },	// Idx:1 - Scene_0
	{ 137,184,191, 90,126,152, 32, 42,120,165,132, 57, 53,216,167,144 },	// Idx:2 - Scene_1
	{ 131,196,182, 79,122,150,122, 45,208,164, 43, 53, 80,120,203,178 },	// Idx:3 - Scene_2
	{ 131,196,182, 79,128,150,122, 45,208,164, 43, 53, 80,120,203,178 },	// Idx:4 - Scene_2
	{ 125,179,199, 88,108,126, 72, 49,163,141, 51, 47, 49,199,205,205 } 	// Idx:5 - Scene_0
};
unsigned char PROGMEM RSHOOT_Torque[6][16]={
	/* ID
	    0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	{   2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2 },	// Idx:0 - Scene_0
	{   2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2 },	// Idx:1 - Scene_0
	{   0,  2,  2,  2,  0,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2 },	// Idx:2 - Scene_1
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:3 - Scene_2
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:4 - Scene_2
	{   2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2 } 	// Idx:5 - Scene_0
};
unsigned char PROGMEM RSHOOT_Port[6][16]={
	/* ID
	    0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15 */
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:0 - Scene_0
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:1 - Scene_0
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:2 - Scene_1
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:3 - Scene_2
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 },	// Idx:4 - Scene_2
	{   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 } 	// Idx:5 - Scene_0
};

#endif
