//This source code is provided for personal and educational use only.
//Redistribution of source or derivitives is not permitted without the permission of the authour.
//Modifications may be made for educational purposes, provided that this license is not removed.
//Use this code at your OWN RISK! The authour accepts no responsibility for damage to hardware
//which may result from use of this code.
//
//Copyright Jan 2010 - Alex Jarkey
//http://www.buildtherobot.blogspot.com

#include "macro.h"
#include "atmega128.h"
#include "actuator.h"
#include "action.h"

#include <stdio.h>
#include <avr/io.h>
#include <util/delay.h>
#include <avr/pgmspace.h>

extern unsigned char PROGMEM LowTorque[MOTORS];
extern unsigned char PROGMEM MotionZeroPos[MOTORS];

volatile extern uchar g_nextpose;

void setPose(uchar* position, uchar* torque, uint actuators)
{
	uint a = 0;

	for(a = 0; a < actuators; a++)
	{
		if(torque[a] <= 4){
			WCKSetPos(a, torque[a], position[a]);
		}
		//_delay_us(1000);
	}
}


void holdInterval(uint ms)
{
	//determine how many counts are necessary
	long uint count;

	g_nextpose = 0;

	count = ((ms)*144)/10;

	//fill the timer to (full - number of counts) or max
	if(count < 65534)
	{
		TCNT1 = 65535 - (uint)count;
	}
	else
	{
		TCNT1 = 0;
	}

	TCCR1B = 0x05;		//Cs0, Cs2 set. CLK/1024
	TIFR |= (1<<TOV1);	// Clear the overflow flag
	TIMSK |= (1<<TOIE1);	// Timer1 Overflow Interrupt Enable

}

void setZero(void)
{
	uchar position[MOTORS];
	uchar torque[MOTORS];

	getPGMByteArray((char*)LowTorque, (char*)torque, MOTORS);

	getPGMByteArray((char*)MotionZeroPos,(char*)position,MOTORS);
	setPose(position,torque,MOTORS);
}

void runAction(uchar flashpos[][MOTORS], uint * flashtime, uint poses)
{
	int i = 0;//, j = 0;
	uchar position[MOTORS];
	uchar torque[MOTORS];
	uint delay[40];

	getPGMWordArray((int*)flashtime, (int*)delay, poses);

	getPGMByteArray((char*)LowTorque, (char*)torque, MOTORS);

	for(i = 0; i <= poses; i++)
	{
		getPGMByteArray((char*)flashpos[i],(char*)position,MOTORS);
		setPose(position,torque,MOTORS);
		if(i < (poses))
		{
			holdInterval(delay[i]);
			while(!g_nextpose);
			//j = delay[i];
			//while(j > 0){_delay_ms(1);j--;}
		}
	}
}

void runAction2(uchar flashpos[][MOTORS], uint * flashtime, uint poses, uint num) //TODO fix name
{
	int i = 0;//, j = 0;
	uchar position[MOTORS];
	uchar torque[MOTORS];
	uint delay[40];

	getPGMWordArray((int*)flashtime, (int*)delay, poses);

	getPGMByteArray((char*)LowTorque, (char*)torque, MOTORS);

	getPGMByteArray((char*)flashpos[num],(char*)position,MOTORS);
	setPose(position,torque,MOTORS);
	if(num < (poses))
	{
		holdInterval(delay[i]);
		//while(!g_nextpose);
		//j = delay[i];
		//while(j > 0){_delay_ms(1);j--;}
	}
}
