//This source code is provided for personal and educational use only.
//Redistribution of source or derivitives is not permitted without the permission of the authour.
//Modifications may be made for educational purposes, provided that this license is not removed.
//Use this code at your OWN RISK! The authour accepts no responsibility for damage to hardware
//which may result from use of this code.
//
//Copyright Jan 2010 - Alex Jarkey
//http://www.buildtherobot.blogspot.com

#include "atmega128.h"
#include "robobuilder.h"
#include "actuator.h"

uchar WCKSetPos(char ID, char torque, char target)
{
	ID=(torque<<5)|ID;

	queueWCKCmd1(ID, target);	
	//Instructions placed in transmit buffer, but not sent

	TX0Start();

	UCSR0B |= (1<<RXCIE);		//Recieve Interrupt on

	while(RX0QueueLength() < 2);

	RX0ReadByte();

	UCSR0B &=  ~(1<<RXCIE); 	//Recieve Interrupt off

	return RX0ReadByte();
}

uchar WCKSetPassive(char ID)
{
	ID=(6<<5)|ID;

	queueWCKCmd1(ID, (1<<4));
	//Instructions placed in transmit buffer, but not sent

	TX0Start();

	UCSR0B |= (1<<RXCIE);		//Recieve Interrupt on

	while(RX0QueueLength() < 2);

	UCSR0B &=  ~(1<<RXCIE); 	//Recieve Interrupt off

	RX0ReadByte();
	return RX0ReadByte();
}

uchar WCKReadPos(char ID) 
{
	ID = (5<<5) | ID;

	queueWCKCmd1(ID, 0);	//byte 2 is insignificant
	//Instructions placed in transmit buffer, but not sent

	TX0Start();

	UCSR0B |= (1<<RXCIE);		//Recieve Interrupt on

	while(RX0QueueLength() < 2);

	RX0ReadByte();

	UCSR0B &=  ~(1<<RXCIE); 	//Recieve Interrupt off

	return RX0ReadByte();
} 

