//This source code is provided for personal and educational use only.
//Redistribution of source or derivitives is not permitted without the permission of the authour.
//Modifications may be made for educational purposes, provided that this license is not removed.
//Use this code at your OWN RISK! The authour accepts no responsibility for damage to hardware
//which may result from use of this code.
//
//Copyright Jan 2010 - Alex Jarkey
//http://www.buildtherobot.blogspot.com

#include "macro.h"

#include <util/delay.h>
#include <avr/interrupt.h>
#include <math.h>

#include "atmega128.h"
#include "robobuilder.h"
#include "actuator.h"
#include "action.h"
#include "init.h"
#include "HunoLite.h"

#define SIZE 8

char gDebugMode = 1; 

volatile int ns = 0;
volatile char dofft = 0;
volatile uchar buf2[SIZE];

volatile uchar g_nextpose;
volatile int gA2D;

void debug(char code)
{
	if(gDebugMode)
	{
		((0x01<<7)&code)? RUN_LED2_ON : RUN_LED2_OFF; //Green
		((0x01<<6)&code)? PF1_LED2_ON : PF1_LED2_OFF; //Red
		((0x01<<5)&code)? PWR_LED2_ON : PWR_LED2_OFF; //Red
		((0x01<<4)&code)? PWR_LED1_ON : PWR_LED1_OFF; //Green
		((0x01<<3)&code)? PF1_LED1_ON : PF1_LED1_OFF; //Blue
		((0x01<<2)&code)? RUN_LED1_ON : RUN_LED1_OFF; //Blue
		((0x01<<1)&code)? PF2_LED_ON : PF2_LED_OFF; //Yellow
		((0x01<<0)&code)? ERR_LED_ON : ERR_LED_OFF; //Red
	}
	return;
}

void sample(void)
{
	//debug(gA2D);
	buf2[ns] = gA2D;
	ns++;
	if(ns >= SIZE){
		ns = 0; 
		dofft = 1;
	}
}

int main(void)
{
	int i, pose = 0;

	cli();

	debug(0x00);

	HW_init();

	UCSR0B |= (1<<TXCIE);		//Transmission Complete Interrupt Enable
	UCSR0B |= (1<<TXEN);		//USART0 Transmit Enable
	UCSR0B |= (1<<RXEN);		//USART0 Recieve Enable
	UCSR0B &= ~(1<<RXCIE);		//USART0 Data Registry Full Disable

	TIMSK |= (1<<TOIE0);		// Timer0 Overflow Interrupt Enable
	TCCR0 |= 0x01;

	ADMUX=0x2D;			//ADS0, ADLS (MIC)
	ADCSRA |= (0x04);		//AD Prescaler 1/16
	ADCSRA |= (1<<ADEN);		//Enable AD Converter Peripheral
	ADCSRA &= ~(1<<ADIE);		//AD Conversion Complete Interrupt Enable
	//ADCSRA |= (1<<ADSC);		//Perform AD conversion
	ADCSRA |= (1<<ADFR);		//AD conversions run constantly

	sei();

	setZero();

	while(1)
	{
	
		if(readButtons(1,1,1000))
		{
			rechargeMode();
		}
		else if(readButtons(1,0,0))
		{
			pose = 0;
			runAction2(HunoBasic_PunchLeft_Position, 
					HunoBasic_PunchLeft_TrTime, 
					HUNOBASIC_PUNCHLEFT_NUM_ACTION, 
					pose);
			pose++;
		}
		if(g_nextpose)
		{
			if(pose > HUNOBASIC_PUNCHLEFT_NUM_ACTION){ pose = 0; }
		runAction2(HunoBasic_PunchLeft_Position, 
				HunoBasic_PunchLeft_TrTime, 
				HUNOBASIC_PUNCHLEFT_NUM_ACTION, 
				pose);
			pose++;
		}
	}

	return 0;
}
